---
name: Documentation Issue
about: Use this template for documentation related issues
labels: 'type:docs'

---

Please go to TF Forum for help and support:

https://discuss.tensorflow.org/tag/keras

If you open a GitHub issue, here is our policy:

It must be a bug, a feature request, or a significant problem with the documentation (for small docs fixes please send a PR instead).
The form below must be filled out.

**Here's why we have that policy:**.

Keras developers respond to issues. We want to focus on work that benefits the whole community, e.g., fixing bugs and adding features. Support only helps individuals. GitHub also notifies thousands of people when issues are filed. We want them to see you communicating an interesting problem, rather than being redirected to Stack Overflow.

**URL(s) with the issue:**.

Please provide a link to the documentation entry, for example: https://keras.io/guides/customizing_what_happens_in_fit/


**Description of issue (what needs to be changed):**.


**Correct links**.
Is the link to the source code correct?


**Parameters defined**.

Are all parameters defined and formatted correctly?


**Returns defined**.

Are return values defined?


**Raises listed and defined**

Are the errors defined?


**Usage example**

Is there a usage example?
See the API guide: https://www.tensorflow.org/community/contribute/docs_ref on how to write testable usage examples.


**Request visuals, if applicable**.

Are there currently visuals? If not, will it clarify the content?


**Submit a pull request?**.

Are you planning to also submit a pull request to fix the issue? See the [docs contributor guide](https://github.com/keras-team/keras/blob/master/CONTRIBUTING.md):


