"""Keras API __init__.py files."""

# keep sorted
KERAS_API_INIT_FILES = [
    "__init__.py",
    "keras/__init__.py",
    "keras/__internal__/__init__.py",
    "keras/__internal__/backend/__init__.py",
    "keras/__internal__/layers/__init__.py",
    "keras/__internal__/losses/__init__.py",
    "keras/__internal__/models/__init__.py",
    "keras/__internal__/optimizers/__init__.py",
    "keras/__internal__/utils/__init__.py",
    "keras/activations/__init__.py",
    "keras/applications/__init__.py",
    "keras/applications/convnext/__init__.py",
    "keras/applications/densenet/__init__.py",
    "keras/applications/efficientnet/__init__.py",
    "keras/applications/efficientnet_v2/__init__.py",
    "keras/applications/imagenet_utils/__init__.py",
    "keras/applications/inception_resnet_v2/__init__.py",
    "keras/applications/inception_v3/__init__.py",
    "keras/applications/mobilenet/__init__.py",
    "keras/applications/mobilenet_v2/__init__.py",
    "keras/applications/mobilenet_v3/__init__.py",
    "keras/applications/nasnet/__init__.py",
    "keras/applications/regnet/__init__.py",
    "keras/applications/resnet/__init__.py",
    "keras/applications/resnet50/__init__.py",
    "keras/applications/resnet_rs/__init__.py",
    "keras/applications/resnet_v2/__init__.py",
    "keras/applications/vgg16/__init__.py",
    "keras/applications/vgg19/__init__.py",
    "keras/applications/xception/__init__.py",
    "keras/backend/__init__.py",
    "keras/backend/experimental/__init__.py",
    "keras/callbacks/__init__.py",
    "keras/callbacks/experimental/__init__.py",
    "keras/constraints/__init__.py",
    "keras/datasets/__init__.py",
    "keras/datasets/boston_housing/__init__.py",
    "keras/datasets/cifar10/__init__.py",
    "keras/datasets/cifar100/__init__.py",
    "keras/datasets/fashion_mnist/__init__.py",
    "keras/datasets/imdb/__init__.py",
    "keras/datasets/mnist/__init__.py",
    "keras/datasets/reuters/__init__.py",
    "keras/dtensor/__init__.py",
    "keras/dtensor/experimental/__init__.py",
    "keras/dtensor/experimental/optimizers/__init__.py",
    "keras/estimator/__init__.py",
    "keras/experimental/__init__.py",
    "keras/export/__init__.py",
    # Placeholder for internal API
    "keras/initializers/__init__.py",
    "keras/layers/__init__.py",
    "keras/layers/experimental/__init__.py",
    "keras/layers/experimental/preprocessing/__init__.py",
    "keras/losses/__init__.py",
    "keras/metrics/__init__.py",
    "keras/metrics/experimental/__init__.py",
    "keras/mixed_precision/__init__.py",
    "keras/models/__init__.py",
    "keras/models/experimental/__init__.py",
    "keras/optimizers/__init__.py",
    "keras/optimizers/experimental/__init__.py",
    "keras/optimizers/legacy/__init__.py",
    "keras/optimizers/schedules/__init__.py",
    "keras/premade/__init__.py",
    "keras/preprocessing/__init__.py",
    "keras/preprocessing/image/__init__.py",
    "keras/preprocessing/sequence/__init__.py",
    "keras/preprocessing/text/__init__.py",
    "keras/regularizers/__init__.py",
    "keras/saving/__init__.py",
    "keras/utils/__init__.py",
    "keras/utils/experimental/__init__.py",
    "keras/utils/legacy/__init__.py",
    "keras/wrappers/__init__.py",
    "keras/wrappers/scikit_learn/__init__.py",
]

KERAS_API_INIT_FILES_V1 = [
    "__init__.py",
    "keras/__init__.py",
    "keras/__internal__/__init__.py",
    "keras/__internal__/legacy/__init__.py",
    "keras/__internal__/legacy/layers/__init__.py",
    "keras/__internal__/layers/__init__.py",
    "keras/__internal__/legacy/layers/experimental/__init__.py",
    "keras/__internal__/legacy/rnn_cell/__init__.py",
    "keras/activations/__init__.py",
    "keras/applications/__init__.py",
    "keras/applications/convnext/__init__.py",
    "keras/applications/densenet/__init__.py",
    "keras/applications/efficientnet/__init__.py",
    "keras/applications/efficientnet_v2/__init__.py",
    "keras/applications/imagenet_utils/__init__.py",
    "keras/applications/inception_resnet_v2/__init__.py",
    "keras/applications/inception_v3/__init__.py",
    "keras/applications/mobilenet/__init__.py",
    "keras/applications/mobilenet_v2/__init__.py",
    "keras/applications/mobilenet_v3/__init__.py",
    "keras/applications/nasnet/__init__.py",
    "keras/applications/regnet/__init__.py",
    "keras/applications/resnet/__init__.py",
    "keras/applications/resnet_v2/__init__.py",
    "keras/applications/resnet50/__init__.py",
    "keras/applications/resnet_rs/__init__.py",
    "keras/applications/vgg16/__init__.py",
    "keras/applications/vgg19/__init__.py",
    "keras/applications/xception/__init__.py",
    "keras/backend/__init__.py",
    "keras/callbacks/__init__.py",
    "keras/callbacks/experimental/__init__.py",
    "keras/constraints/__init__.py",
    "keras/datasets/__init__.py",
    "keras/datasets/boston_housing/__init__.py",
    "keras/datasets/cifar10/__init__.py",
    "keras/datasets/cifar100/__init__.py",
    "keras/datasets/fashion_mnist/__init__.py",
    "keras/datasets/imdb/__init__.py",
    "keras/datasets/mnist/__init__.py",
    "keras/datasets/reuters/__init__.py",
    "keras/estimator/__init__.py",
    "keras/experimental/__init__.py",
    "keras/export/__init__.py",
    "keras/initializers/__init__.py",
    "keras/layers/__init__.py",
    "keras/layers/experimental/__init__.py",
    "keras/layers/experimental/preprocessing/__init__.py",
    "keras/losses/__init__.py",
    "keras/metrics/__init__.py",
    "keras/mixed_precision/__init__.py",
    "keras/models/__init__.py",
    "keras/optimizers/__init__.py",
    "keras/optimizers/schedules/__init__.py",
    "keras/optimizers/legacy/__init__.py",
    "keras/premade/__init__.py",
    "keras/preprocessing/__init__.py",
    "keras/preprocessing/image/__init__.py",
    "keras/preprocessing/sequence/__init__.py",
    "keras/preprocessing/text/__init__.py",
    "keras/regularizers/__init__.py",
    "keras/saving/__init__.py",
    "keras/utils/__init__.py",
    "keras/utils/legacy/__init__.py",
    "keras/wrappers/__init__.py",
    "keras/wrappers/scikit_learn/__init__.py",
]
